# Generated by Django 2.2 on 2023-01-11 10:09

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('i18n', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='GenericTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', models.SlugField(max_length=255, verbose_name='slug')),
                ('extension', models.CharField(blank=True, choices=settings.TEMPLATE_GENERIC_TEMPLATE_EXTENSION_CHOICES, max_length=10, null=True, verbose_name='extension')),
                ('content', models.TextField(blank=True, verbose_name='content')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='template_generictemplate_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('language', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='i18n.Language', verbose_name='language')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='template_generictemplate_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'template',
                'verbose_name_plural': 'templates',
                'ordering': ('ordering',),
                'permissions': (('list_template', 'Can list template'), ('detail_template', 'Can detail template'), ('enable_template', 'Can enable template'), ('disable_template', 'Can disable template')),
                'unique_together': {('slug', 'language', 'extension')},
            },
        ),
        migrations.CreateModel(
            name='EmailTemplate',
            fields=[
                ('generictemplate_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='template.GenericTemplate')),
                ('subject', models.CharField(blank=True, max_length=150, verbose_name='subject')),
            ],
            options={
                'abstract': False,
            },
            bases=('template.generictemplate',),
        ),
    ]
